module clock (input wire clk, output reg clk_prop, output reg clk_vga);

//input: 308 MHz from pll
// output: 154 MHz for VGA
// 102. 67 MHz for Prop

reg [1:0] cnt1;
reg [1:0] cnt2;

always@ (posedge clk)

begin
cnt1<=cnt1+1;
cnt2<=cnt2+1;
if  (cnt2==2) cnt2<=0;
clk_vga<=cnt1[1];
clk_prop<=cnt2[1];
end

endmodule
